//////////////////////////////////
///////Creado por Andromeda//////
////////////////////////////////
using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Xanthos.Evo
{
	public class RaelisDemonioDust : BaseEvoDust
	{
		[Constructable]
		public RaelisDemonioDust() : this( 1 )
		{
		}

		[Constructable]
		public RaelisDemonioDust( int amount ) : base( amount )
		{
			Amount = amount;
			Name = "demon dust";
			Hue = 1161;
		}

		public RaelisDemonioDust( Serial serial ) : base ( serial )
		{
		}

		public override BaseEvoDust NewDust()
		{
			return new RaelisDemonioDust();
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}